#
# spec file for package perl-Locale-Maketext-Lexicon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Locale-Maketext-Lexicon
Version:        1.00
Release:        bp153.1.15
%define cpan_name Locale-Maketext-Lexicon
Summary:        Use other catalog formats in Maketext
License:        MIT
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Locale-Maketext-Lexicon/
Source0:        http://www.cpan.org/authors/id/D/DR/DRTECH/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Locale::Maketext) >= 1.17
Requires:       perl(Locale::Maketext) >= 1.17
Recommends:     perl(HTML::Parser) >= 3.56
Recommends:     perl(Lingua::EN::Sentence) >= 0.25
Recommends:     perl(PPI) >= 1.203
Recommends:     perl(Template) >= 2.20
Recommends:     perl(Template::Constants) >= 2.75
Recommends:     perl(Text::Haml)
Recommends:     perl(YAML) >= 0.66
Recommends:     perl(YAML::Loader) >= 0.66
%{perl_requires}

%description
This module provides lexicon-handling modules to read from other
localization formats, such as _Gettext_, _Msgcat_, and so on.

If you are unfamiliar with the concept of lexicon modules, please consult
the Locale::Maketext manpage and the 'webl10n' HTML files in the 'docs/'
directory of this module.

A command-line utility the xgettext.pl manpage is also installed with this
module, for extracting translatable strings from source files.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc AUTHORS Changes docs LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.00
  see /usr/share/doc/packages/perl-Locale-Maketext-Lexicon/Changes
  [Changes for 1.00 - 2014-03-06]
  * Add missing support for c.loc()
  [Changes for 0.99 - 2014-02-03]
  * Localise $/ correctly (TOKUHIROM)
    This change was missing from 0.97
  [Changes for 0.98 - 2014-01-22]
  * Exclude POT files (gerhardj)
  [Changes for 0.97 - 2014-01-09]
  * Localise $/ correctly (TOKUHIROM)
* Wed Jul  3 2013 coolo@suse.com
- updated to 0.96
  * Handle Haml blocks too (Calum Halcrow)
  * Corrected spelling of Text::Haml
  * xgettext.pl was not being installed
  * Moved to Dist::Zilla
  * Added support for HAML (Calum Halcrow)
  * Fixed test for Perl 5.17.6+. (ANDK)
* Fri Nov 18 2011 coolo@suse.com
- update to 0.91
  * Fixed test count for newly added tests
  * Doc changes
  * Added support to the TT2 parser for Mojolicious style tags
    Thanks to COSIMO for the patch
  * Fixed the t/5-extract.t test count
  * Locale::Maketext::Extract::Plugin::Mason
  - Added support for Mason 2
    Thanks to ASIMON for the patch.
  * Locale::Maketext::Extract
  - Now warns on loading bad plugins if warnings enabled
  * Locale::Maketext::Extract::Plugin::Base
  - Corrected the synopsis
    Thanks to TOKUHIROM for the bug reports
* Fri Apr  1 2011 coolo@novell.com
- update to 0.86
  * Bumped version because the META file was showing an old version number.
  * Changed Locale::Maketext::Extract::Run to ignore:
  - .git/
  - unix pipes
  - binary files
  * Changed the minimum version of Locale::Maketext to 1.17, to avoid error
  reports from recent Perl versions, which still have an old Locale::Maketext
  * Locale::Maketext::Extract
  - added a fix from Ivan Bessarov to avoid uninit warnings when msgids
    contain trailing spaces
  * Locale::Maketext::Lexicon
  - remove the local $@ when loading PO files - made it difficult
    to debug errors when loading PO's
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Apr 16 2010 chris@computersalat.de
- update to 0.82
  * Locale::Maketext::Extract::Plugin::Base
  * Locale::Maketext::Extract::Plugin::TT2
  * Locale::Maketext::Extract
  - fixed some spelling errors - thanks to Ansgar Burchardt for the patch
- [Changes for 0.81 - 2010-04-09]
  * Locale::Maketext::Extract::PLugin::FormFu
  - the plugin now understands YAML of the form:
    mesage_loc: ['Max files: [_1]', 10]
    Thanks to Charlie Garrison for the patch
- [Changes for 0.80 - 2010-04-08]
  * Locale::Maketext::Lexicon
  - Added the _preload option, which forces parsing of the lexicon
    as soon as it is loaded. Improves memory usage and performance
    in a prefork environment
    Thanks to Ruslan Zakirov for the patch
- removed .packlist, perllocal.pod
  > noarch
* Wed Apr  7 2010 chris@computersalat.de
- update to 0.79
  * Locale::Maketext::Lexicon::Tie
  - Removed a deprecated use of "defined %%" for Perl 5.11+
- [Changes for 0.78 - 2010-02-23]
  * Locale::Maketext::Lexicon
  - Removed a deprecated use of "defined %%" for Perl 5.11+
- [Changes for 0.77 - 2008-12-29]
  * Locale::Maketext::Extract::Plugin::FormFu
  - Rewrote the FormFu plugin completely to use the YAML.pm parser.
    Previously, this plugin was completely broken.
  - Resolves bugs:
  - http://rt.cpan.org/Ticket/Display.html?id=42000
    [#] Locale::Maketext::Extract::Plugin::FormFu broken
  - http://rt.cpan.org/Ticket/Display.html?id=39292
    [#] Parsing formfu config
  * Locale::Maketext::Extract::Plugin::YAML
  - Improved the accuracy of the line numbers.
  - Added documentation and tests for using folded and block scalars.
  * Locale::Maketext::Extract::Plugin::PPI
  - Added a PPI based Perl plugin - more accurate than the Perl plugin,
    but much slower.
  - Not enabled by default
  - moved the Perl extraction tests into t/51-perlextract.t
  - Resolves bug: http://rt.cpan.org/Ticket/Display.html?id=14701
    [#] xgettext doesn't handle interpolating functions
- other changes please see Changes file
- cleanup spec
  o sort TAGS
  o update Url
  o added Recommends
  o updated description
  o added check
- added perl-macros
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Sep 18 2006 lmuelle@suse.de
- Update to version 0.62.
  * For the longest time, direct import of Locale::Maketext::Lexicon
    from within localization classes (such as MyApp::I18N::zh_tw) was
    untested and broken.  It now works the way described in the SYNOPSIS
    section of the Locale::Maketext::Lexicon documentation.
    Contributed by: Yann Kerherve
  * LICENSING CHANGE: This compilation and all individual files in it
    are now under the permissive "MIT" license.  See the COPYRIGHT
    section in README for the new terms.
  * Repair Perl 5.005 compatibility in the build system.
    Reported By: Rong-En Fan
  * Locale::Maketext::Extract: Bump version to 0.20.
    No functionality changes to Locale::Maketext::Lexicon; all changes
    in this release are to Locale::Maketext::Extract.
  * The ->compile call now moves ->entries into ->compiled_entries,
    instead of mutating them in-place.  This allows repeated cycles
    of ->extract/->compile calls before the final ->write_po.
  * Consequently, in the ->read_po/->write_po API, the "$verbatim" flag
    is now ignored.
  * ->read_po no longer fails on empty PO files.
  * The return values of ->msgids/->msgstr are now always in gettext
    style and never in maketext style.
  * In xgettext.pl, the -u flag (specifies the style of the source
    programs as gettext instead of the default maketext) now has nothing
    to do with output escaping.  This closes another long-standing
    bug of "vanishing backslashes" when the same .po file is written
    once with -u and once without.
  * The --unescaped flag to "xgettext.pl" is deprecated and renamed
    to the more appropriate "--use-gettext-style".
  * Locale::Maketext::Extract::Run now accepts single-letter directory
    names instead of erroneously stripping them out.
  * Locale::Maketext::Extract: Direct calls to ->write_po now
    escapes the msg strings by default (reverting to <=0.54
    behaviour), but calls via xgettext.pl (and ::Extract::Run)
    now always specify the "verbatim" flag to ->write_po, so
    users of extraction tools are still free from double escaping.
    Requested by: Thierry Vignaud
  * Locale::Maketext::Extract: Allow the "# loc" marker at the
    end of a statement:
    say "foo"; # loc
    previously it only worked on closing brackets and commas.
  * Locale::Maketext::Lexicon: The "gettext" style no longer parses
    "%%0" as a variable.  Also allows spaces between function arguments:
    %%quant(%%1, %%2)
  * Locale::Maketext::Locale: The "_style => 'gettext'" option was
    broken for function forms such as "%%quant(%%1)", as well as
    adjacent variables such as "%%1%%2%%3".
  * Locale::Maketext::Lexicon: Specifying the new "_auto => 1" option
    now turns on _AUTO fallback handling for all language handles.
    Requested by: Jesse Vincent
  * Locale::Maketext::Lexicon: Specifying the new "_style => 'gettext'"
    option makes "%%1" and "%%quant(%%1)" to be used for interpolation,
    instead of "[_1]" and "[quant,_1]".
  * Locale::Maketext::Extract: Fix a long-standing bug that caused
    double-escaping of backslashes and double quotes in loc strings.
    Contributed by: Brian Cassidy
  * When importing into an already defined lexicon and merging with its
    entries, we need to clear the Locale::Maketext cache, otherwise
    _AUTO entries generated by the old lexicon will linger around.
    Contributed by: Helmut Lichtenberg
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec  6 2005 lmuelle@suse.de
- Update to 0.53.
* Tue Jul 19 2005 lmuelle@suse.de
- Update to 0.49.
* Wed Feb 16 2005 schwab@suse.de
- Don't remove BuildRoot in %%install.
* Tue Feb 15 2005 lmuelle@suse.de
- Initial SuSE package.
